IEEE80211_STA_PS_TRA(9)

NAME
ieee80211_sta_ps_transition_ni - PS transition for connected sta (in process context)

SYNOPSIS

int ieee80211_sta_ps_transition_ni(struct ieee80211_sta * sta, bool start);

ARGUMENTS

sta
    currently connected sta

start
    start or stop PS

DESCRIPTION

Like ieee80211_sta_ps_transition but can be called in process context (internally disables bottom halves). Concurrent call restriction still applies.

RETURN

Like ieee80211_sta_ps_transition.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT